﻿Option Strict On
Imports Windows.Storage
' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' このページがフレームに表示されるときに呼び出されます。
    ''' </summary>
    ''' <param name="e">このページにどのように到達したかを説明するイベント データ。Parameter 
    ''' プロパティは、通常、ページを構成するために使用します。</param>
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
    
    End Sub

    Private Async Sub Button1_Click(sender As Object, e As RoutedEventArgs) Handles Button1.Click
        Try
            Dim myFile As StorageFile = Await StorageFile.GetFileFromApplicationUriAsync(New Uri("ms-appx:///Images/" & WatermarkTextBox1.Text))
            Dim bmp As New BitmapImage
            bmp.SetSource(Await myFile.OpenReadAsync)
            Image1.Source = bmp
        Catch
            WatermarkTextBox1.Text = String.Empty
            Exit Sub
        End Try
    End Sub
End Class
